Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1581238 - Add python-pexpect-4.5.0 to RDO Dependencies repo
Summary: Add python-pexpect-4.5.0 to RDO Dependencies repo
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RDO
Classification: Community
Component: distribution
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: Alfredo Moralejo
QA Contact: Shai Revivo
URL:
Whiteboard:
Depends On:
Blocks: RDO-ROCKY
TreeView+ depends on / blocked
 
Reported: 2018-05-22 12:10 UTC by Dan Radez
Modified: 2019-04-30 13:48 UTC (History)
5 users (show)

Fixed In Version: python-pexpect-4.5-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 13:48:11 UTC
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
RDO 13959 0 None None None 2018-05-30 13:27:08 UTC

Description Dan Radez 2018-05-22 12:10:51 UTC
pexpect is in centos 7 base version 2.3-11
Ansible runner has updated it's dependencies to require version 4.5:
https://github.com/ansible/ansible-runner/commit/eb55721d88ad8122ba8749c6c97fb5a2853f3c5f#diff-1e61a31bf9b94805f869dc4137ec1885R12

python-pexpect 4.4 is in fedora but not build for epel7.
I've contacted the maintainers, they don't want to maintain the el7 branch.
Even if they will let me maintain the el7 branch I don't think they will take updates to the master branch to add conditionalization to accommodate for el7 builds.

In that case we will need to fork it so we can build 4.5 in RDO.

Please fork python-pexpect into rdo-common so 4.5 can be built for el7

Comment 1 Alfredo Moralejo 2018-05-22 13:37:26 UTC
For the record pexpect is also 4.5.0 in upper-constraints.txt:

https://github.com/openstack/requirements/blob/1eac6a0453a831bf52899099d2f686a1c5bd5410/upper-constraints.txt#L385

Comment 2 Alfredo Moralejo 2018-05-22 13:51:03 UTC
pexpect in fedora is still 4.4.0, bugzilla tu bump it there is https://bugzilla.redhat.com/show_bug.cgi?id=1567462

Comment 3 Alfredo Moralejo 2018-05-22 14:13:21 UTC
In RDO we try to not provide newer versions that the ones in base unless it's totally required. In this particular case, does ansible-runner use any feature which is not available in 2.3?

Comment 4 Dan Radez 2018-05-22 14:26:04 UTC
there are features added in pexpect 4.5 that ansible-runner will rely on when 1.0.2 is released.

In Ansible-runner 1.0.1 the base cent pexpect was sufficient.

Requesting this fork in preparation for 4.5 req being added in ansible-runner 1.0.2

Comment 5 Dan Radez 2018-05-29 21:06:18 UTC
Ansible runner 1.0.2 has landed and is in fedora.
I think we should go ahead and create this repo. I'm not sure that the upstream repo will support us in el7 in the near future.

Comment 6 Alfredo Moralejo 2018-05-30 12:50:36 UTC
python-pexpect 4.5.0 built in https://cbs.centos.org/koji/buildinfo?buildID=22861

I'll promote it to rocky-testing tag.

Comment 7 Alfredo Moralejo 2018-05-30 13:26:25 UTC
Promotion proposed in https://review.rdoproject.org/r/13959

Comment 8 Alfredo Moralejo 2018-05-31 11:11:22 UTC
pexpect 4.5.0 is now available in dependencies repo for rocky https://trunk.rdoproject.org/centos7-master/deps/latest/noarch/python2-pexpect-4.5-1.el7.noarch.rpm


Note You need to log in before you can comment on or make changes to this bug.